DCMTK: DRTIonBlockSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTIonBlockSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTIonBlockSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9)
OFCondition | getBlockData (OFString &value, const signed long pos=0) const
| get BlockData (300a,0106)
OFCondition | getBlockData (Float64 &value, const unsigned long pos=0) const
| get BlockData (300a,0106)
OFCondition | getBlockData (OFVector< Float64 > &value) const
| get BlockData (300a,0106)
OFCondition | getBlockDivergence (OFString &value, const signed long pos=0) const
| get BlockDivergence (300a,00fa)
OFCondition | getBlockMountingPosition (OFString &value, const signed long pos=0) const
| get BlockMountingPosition (300a,00fb)
OFCondition | getBlockName (OFString &value, const signed long pos=0) const
| get BlockName (300a,00fe)
OFCondition | getBlockNumber (OFString &value, const signed long pos=0) const
| get BlockNumber (300a,00fc)
OFCondition | getBlockNumber (Sint32 &value, const unsigned long pos=0) const
| get BlockNumber (300a,00fc)
OFCondition | getBlockNumberOfPoints (OFString &value, const signed long pos=0) const
| get BlockNumberOfPoints (300a,0104)
OFCondition | getBlockNumberOfPoints (Sint32 &value, const unsigned long pos=0) const
| get BlockNumberOfPoints (300a,0104)
OFCondition | getBlockThickness (OFString &value, const signed long pos=0) const
| get BlockThickness (300a,0100)
OFCondition | getBlockThickness (Float64 &value, const unsigned long pos=0) const
| get BlockThickness (300a,0100)
OFCondition | getBlockTrayID (OFString &value, const signed long pos=0) const
| get BlockTrayID (300a,00f5)
OFCondition | getBlockType (OFString &value, const signed long pos=0) const
| get BlockType (300a,00f8)
OFCondition | getIsocenterToBlockTrayDistance (Float32 &value, const unsigned long pos=0) const
| get IsocenterToBlockTrayDistance (300a,00f7)
OFCondition | getMaterialID (OFString &value, const signed long pos=0) const
| get MaterialID (300a,00e1)
OFCondition | getNumberOfBlockSlabItems (OFString &value, const signed long pos=0) const
| get NumberOfBlockSlabItems (300a,0440)
OFCondition | getNumberOfBlockSlabItems (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBlockSlabItems (300a,0440)
DRTBlockSlabSequence & | getBlockSlabSequence ()
| get BlockSlabSequence (300a,0441)
const DRTBlockSlabSequence & | getBlockSlabSequence () const
| get BlockSlabSequence (300a,0441)
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9)
OFCondition | setBlockData (const OFString &value, const OFBool check=OFTrue)
| set BlockData (300a,0106)
OFCondition | setBlockDivergence (const OFString &value, const OFBool check=OFTrue)
| set BlockDivergence (300a,00fa)
OFCondition | setBlockMountingPosition (const OFString &value, const OFBool check=OFTrue)
| set BlockMountingPosition (300a,00fb)
OFCondition | setBlockName (const OFString &value, const OFBool check=OFTrue)
| set BlockName (300a,00fe)
OFCondition | setBlockNumber (const OFString &value, const OFBool check=OFTrue)
| set BlockNumber (300a,00fc)
OFCondition | setBlockNumberOfPoints (const OFString &value, const OFBool check=OFTrue)
| set BlockNumberOfPoints (300a,0104)
OFCondition | setBlockThickness (const OFString &value, const OFBool check=OFTrue)
| set BlockThickness (300a,0100)
OFCondition | setBlockTrayID (const OFString &value, const OFBool check=OFTrue)
| set BlockTrayID (300a,00f5)
OFCondition | setBlockType (const OFString &value, const OFBool check=OFTrue)
| set BlockType (300a,00f8)
OFCondition | setIsocenterToBlockTrayDistance (const Float32 value, const unsigned long pos=0)
| set IsocenterToBlockTrayDistance (300a,00f7)
OFCondition | setMaterialID (const OFString &value, const OFBool check=OFTrue)
| set MaterialID (300a,00e1)
OFCondition | setNumberOfBlockSlabItems (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBlockSlabItems (300a,0440)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmDecimalString | BlockData
| BlockData (300a,0106) vr=DS, vm=2-2n, type=1.
DcmCodeString | BlockDivergence
| BlockDivergence (300a,00fa) vr=CS, vm=1, type=1.
DcmCodeString | BlockMountingPosition
| BlockMountingPosition (300a,00fb) vr=CS, vm=1, type=1.
DcmLongString | BlockName
| BlockName (300a,00fe) vr=LO, vm=1, type=3.
DcmIntegerString | BlockNumber
| BlockNumber (300a,00fc) vr=IS, vm=1, type=1.
DcmIntegerString | BlockNumberOfPoints
| BlockNumberOfPoints (300a,0104) vr=IS, vm=1, type=1.
DRTBlockSlabSequence | BlockSlabSequence
| BlockSlabSequence (300a,0441) vr=SQ, vm=1, type=1C.
DcmDecimalString | BlockThickness
| BlockThickness (300a,0100) vr=DS, vm=1, type=1.
DcmShortString | BlockTrayID
| BlockTrayID (300a,00f5) vr=SH, vm=1, type=3.
DcmCodeString | BlockType
| BlockType (300a,00f8) vr=CS, vm=1, type=1.
DcmFloatingPointSingle | IsocenterToBlockTrayDistance
| IsocenterToBlockTrayDistance (300a,00f7) vr=FL, vm=1, type=1.
DcmShortString | MaterialID
| MaterialID (300a,00e1) vr=SH, vm=1, type=2.
DcmIntegerString | NumberOfBlockSlabItems
| NumberOfBlockSlabItems (300a,0440) vr=IS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTIonBlockSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTIonBlockSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTIonBlockSequence::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [1/3]

OFCondition DRTIonBlockSequence::Item::getBlockData | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [2/3]

OFCondition DRTIonBlockSequence::Item::getBlockData | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockData() [3/3]

OFCondition DRTIonBlockSequence::Item::getBlockData | ( | OFVector< Float64 > & | value | ) | const

get BlockData (300a,0106)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockDivergence()

OFCondition DRTIonBlockSequence::Item::getBlockDivergence | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockDivergence (300a,00fa)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockMountingPosition()

OFCondition DRTIonBlockSequence::Item::getBlockMountingPosition | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockMountingPosition (300a,00fb)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockName()

OFCondition DRTIonBlockSequence::Item::getBlockName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockName (300a,00fe)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumber() [1/2]

OFCondition DRTIonBlockSequence::Item::getBlockNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockNumber (300a,00fc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumber() [2/2]

OFCondition DRTIonBlockSequence::Item::getBlockNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get BlockNumber (300a,00fc)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumberOfPoints() [1/2]

OFCondition DRTIonBlockSequence::Item::getBlockNumberOfPoints | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockNumberOfPoints (300a,0104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockNumberOfPoints() [2/2]

OFCondition DRTIonBlockSequence::Item::getBlockNumberOfPoints | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get BlockNumberOfPoints (300a,0104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockSlabSequence() [1/2]

DRTBlockSlabSequence & DRTIonBlockSequence::Item::getBlockSlabSequence | ( |  | ) |
| inline

get BlockSlabSequence (300a,0441)

Returns
  reference to sequence element

References BlockSlabSequence.

## ◆ getBlockSlabSequence() [2/2]

const DRTBlockSlabSequence & DRTIonBlockSequence::Item::getBlockSlabSequence | ( |  | ) | const
| inline

get BlockSlabSequence (300a,0441)

Returns
  const reference to sequence element

References BlockSlabSequence.

## ◆ getBlockThickness() [1/2]

OFCondition DRTIonBlockSequence::Item::getBlockThickness | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get BlockThickness (300a,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockThickness() [2/2]

OFCondition DRTIonBlockSequence::Item::getBlockThickness | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockThickness (300a,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockTrayID()

OFCondition DRTIonBlockSequence::Item::getBlockTrayID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockTrayID (300a,00f5)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBlockType()

OFCondition DRTIonBlockSequence::Item::getBlockType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BlockType (300a,00f8)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterToBlockTrayDistance()

OFCondition DRTIonBlockSequence::Item::getIsocenterToBlockTrayDistance | ( | Float32 & | value,
|  | const unsigned long | pos = 0 ) const

get IsocenterToBlockTrayDistance (300a,00f7)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMaterialID()

OFCondition DRTIonBlockSequence::Item::getMaterialID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MaterialID (300a,00e1)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlockSlabItems() [1/2]

OFCondition DRTIonBlockSequence::Item::getNumberOfBlockSlabItems | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfBlockSlabItems (300a,0440)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBlockSlabItems() [2/2]

OFCondition DRTIonBlockSequence::Item::getNumberOfBlockSlabItems | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfBlockSlabItems (300a,0440)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTIonBlockSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTIonBlockSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTIonBlockSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTIonBlockSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTIonBlockSequence::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockData()

OFCondition DRTIonBlockSequence::Item::setBlockData | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockData (300a,0106)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2-2n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockDivergence()

OFCondition DRTIonBlockSequence::Item::setBlockDivergence | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockDivergence (300a,00fa)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockMountingPosition()

OFCondition DRTIonBlockSequence::Item::setBlockMountingPosition | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockMountingPosition (300a,00fb)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockName()

OFCondition DRTIonBlockSequence::Item::setBlockName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockName (300a,00fe)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockNumber()

OFCondition DRTIonBlockSequence::Item::setBlockNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockNumber (300a,00fc)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockNumberOfPoints()

OFCondition DRTIonBlockSequence::Item::setBlockNumberOfPoints | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockNumberOfPoints (300a,0104)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockThickness()

OFCondition DRTIonBlockSequence::Item::setBlockThickness | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockThickness (300a,0100)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockTrayID()

OFCondition DRTIonBlockSequence::Item::setBlockTrayID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockTrayID (300a,00f5)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBlockType()

OFCondition DRTIonBlockSequence::Item::setBlockType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BlockType (300a,00f8)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterToBlockTrayDistance()

OFCondition DRTIonBlockSequence::Item::setIsocenterToBlockTrayDistance | ( | const Float32 | value,
|  | const unsigned long | pos = 0 )

set IsocenterToBlockTrayDistance (300a,00f7)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMaterialID()

OFCondition DRTIonBlockSequence::Item::setMaterialID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MaterialID (300a,00e1)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBlockSlabItems()

OFCondition DRTIonBlockSequence::Item::setNumberOfBlockSlabItems | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfBlockSlabItems (300a,0440)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTIonBlockSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtibls.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1